com.corticon.rulesemf.operationsmodel

## Interface OperatorTree

- All Superinterfaces:
    Asset, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface OperatorTree
      extends Asset

  A representation of the model object 'Operator Tree'.

  The following features are supported:

  - `Root`
  See Also:
    `OperationsmodelPackage.getOperatorTree()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OperatorNode` | `getRoot()` Returns the value of the 'Root' containment reference
    `void` | `setRoot(OperatorNode value)` Sets the value of the '`Root`' containment reference

    - ### Methods inherited from interface com.corticon.rulesemf.common.Asset

      `getBuildNumber, getExternalChecksum, getLanguageCode, getMajorServiceNumber, getMajorVersionNumber, getMinorServiceNumber, getMinorVersionNumber, getResourcesReferenced, getResourceURIsReferenced, getUpdateStamp, getValidationMessages, getValidationRequest, isReadOnly, setBuildNumber, setExternalChecksum, setMajorServiceNumber, setMajorVersionNumber, setMinorServiceNumber, setMinorVersionNumber, setReadOnly, setUpdateStamp, setValidationRequest`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getRoot

          OperatorNode getRoot()

      Returns the value of the 'Root' containment reference.

      If the meaning of the 'Root' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Root' containment reference.
      See Also:
        `setRoot(OperatorNode)`, `OperationsmodelPackage.getOperatorTree_Root()`

    - #### setRoot

          void setRoot(OperatorNode value)

      Sets the value of the '`Root`' containment reference.
      Parameters:
        `value` - the new value of the 'Root' containment reference.
      See Also:
        `getRoot()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.